Support » Plugin: WP RSS Aggregator » PHP Fatal Error

  • Resolved rortegabrooktec

    (@rortegabrooktec)


    Hi,
    After updating the plugin to version 4.13.2 it has begun to throw the following error, causing a 500 response from the server. So I’ve been forced to disable it.

    The website logs show the following:

    PHP Fatal error: Uncaught Error: Class ‘Psr\\Log\\LogLevel’ not found in /var/app/current/wp-content/plugins/wp-rss-aggregator/includes/admin-log.php:9\nStack trace:\n#0 /var/app/current/wp-content/plugins/wp-rss-aggregator/wp-rss-aggregator.php(288): require_once()\n#1 /var/app/current/wp-settings.php(362): include_once(‘/var/app/curren…’)\n#2 /var/app/current/wp-config.php(32): require_once(‘/var/app/curren…’)\n#3 /var/app/current/wp-load.php(37): require_once(‘/var/app/curren…’)\n#4 /var/app/current/wp-blog-header.php(13): require_once(‘/var/app/curren…’)\n#5 /var/app/current/index.php(17): require(‘/var/app/curren…’)\n#6 {main}\n thrown in /var/app/current/wp-content/plugins/wp-rss-aggregator/includes/admin-log.php on line 9

    PHP version we are using is PHP 7.1
    WordPress Core version: 5.2 (I’ll try updating to new 5.2.1 version)

    Can you check if it’s a code problem?

    Thank you!

    • This topic was modified 5 months, 3 weeks ago by  rortegabrooktec. Reason: Add WP version
Viewing 4 replies - 1 through 4 (of 4 total)
  • The plugin’s vendor log folder was ignored by the project .gitignore file.

    Plugin Author Mark Zahra

    (@markzahra)

    Hi @rortegabrooktec, we’re investigating this error and will get back to you with an answer soon. I apologise for such a long delay, it’s not normal for us, let alone for a fatal error like this. We’re making some changes to the team which have slowed us down for a bit, but things are picking up again 🙂

    Plugin Author Miguel Muscat

    (@mekku)

    A possible cause for this issue is the lack of a “vendor” folder, as you pointed out. The folder is ignored because it’s not meant to be stored in our repository – it’s a folder created by Composer when we build the plugin.

    If you’re installing the plugin from Git or any other resource that only gives you the source code, you’ll need to install the plugin’s dependencies using Composer.

    Download the plugin from their site looks like it works:
    https://www.wprssaggregator.com/extension/core-plugin/

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this topic.